Package org.eclipse.m2m.atl.profiler.core.vm

# Interface IStackFrame

public interface IStackFrame
An abstract definition of ATL VM stack frames.

## Method Summary

Modifier and Type
Method
Description
`IOperation`
`getIOperation()`
Returns the frame operation.
`Map<String,Object>`
`getLocalVariables()`
Returns the local variables map.
`int`
`getLocation()`
Returns the current frame location.

## Method Details

### getIOperation

IOperation getIOperation()
Returns the frame operation.

Returns:
  the frame operation

### getLocalVariables

Map<String,Object> getLocalVariables()
Returns the local variables map.

Returns:
  the local variables map

### getLocation

int getLocation()
Returns the current frame location.

Returns:
  the current frame location